View Issue Details

IDProjectCategoryView StatusLast Update
0000005Main CAcert Websitemy accountpublic2013-01-13 13:28
Reporterbarabonkov Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionduplicate 
Fixed in Version2012 Q4 
Summary0000005: Incorrect cyrillic characters encoding
DescriptionIn my listing details I have entered text in cyrillic, giving contact
details. As I wrote detailed info it got more than 46 characters long.
It looks like in the datebase it was incorrectly encoded as when I
reviewed my listing, my text was truncated displaying just the first 46
characters and not the rest. View of the page source code showed that
each cyrillic character was represented as � (where the digits represented its code) - that is seven character per letter, and having more than 36 letters and about 10 spaces it took 46 symbols to overflow supposed 256 character limit of
that entry field.
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

has duplicate 0001097 closedNEOatNHNG Special characters which have no HTML-entities are not properly escaped 

Activities

duane

2006-08-08 06:14

developer   ~0000334

Which field or fields were overflowed, just firstname or surname or both?

INOPIAE

2012-12-16 20:16

updater   ~0003447

fix will be available through bug 1097

Issue History

Date Modified Username Field Change
2005-08-24 16:49 barabonkov New Issue
2006-08-08 06:14 duane Note Added: 0000334
2006-08-08 06:15 duane Status new => @30@
2006-08-14 16:12 duane Status @30@ => needs work
2006-08-14 16:12 duane Assigned To => Sourcerer
2012-12-16 20:15 INOPIAE Relationship added has duplicate 0001097
2012-12-16 20:16 INOPIAE Note Added: 0003447
2012-12-16 20:16 INOPIAE Status needs work => closed
2012-12-16 20:16 INOPIAE Assigned To Sourcerer =>
2012-12-16 20:16 INOPIAE Resolution open => duplicate
2013-01-13 13:28 Werner Dworak Fixed in Version => 2012 Q4
2013-01-13 13:28 Werner Dworak Description Updated View Revisions